Number Addresses

Shows a list of the Number Addresses on your account

Request

Endpoint: /api/number-addresses
Example: /api/number-addresses?name=London&address_country=GB&max_per_page=50&page=1
Method: GET
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

Query Parameters

All parameters are optional.

max_per_page Description Limit the number of results returned per page. Defaults to 50.
Type Integer
Example 50
page Description The page number to retrieve, if the number of results exceeds max_per_page. Defaults to 1.
Type Integer
Example 2
name Description Filter by address name. Partial values are matched.
Type String
Example London
use_for_emergency_address Description Filter by whether the address is used for emergency services registration
Type Boolean
Example true
address_line_1 Description Filter by the first line of the address. Partial values are matched.
Type String
Example 101 Old Street
address_line_2 Description Filter by the second line of the address. Partial values are matched.
Type String
Example Silicon Road
address_city Description Filter by city. Partial values are matched.
Type String
Example London
address_region Description Filter by region. Partial values are matched.
Type String
Example London
address_postal_code Description Filter by postal code. Partial values are matched.
Type String
Example E10
address_country Description Filter by country ISO
Type String
Example GB

Response

Example:

                                
    {
        "number_addresses": [
            {
                "id": 1,
                "name": "London Office",
                "use_for_proof_of_address": true,
                "use_for_emergency_address": false,
                "address_line_1": "101 Old Street",
                "address_line_2": "",
                "address_city": "London",
                "address_region": "London",
                "address_postal_code": "E10 1AA",
                "address_country": {
                    "name": "United Kingdom",
                    "iso": "GB"
                }
            },
            {
                "id": 2,
                "name": "LA Office",
                "use_for_proof_of_address": false,
                "use_for_emergency_address": false,
                "address_line_1": "1001 New Street",
                "address_line_2": "Silicon Road",
                "address_city": "Los Angeles",
                "address_region": "CA",
                "address_postal_code": "915874",
                "address_country": {
                    "name": "United States",
                    "iso": "US"
                }
            },
            ...
        ],
        "num_results": 2,
        "page_results": 2,
        "paginates": false,
        "current_page": 1,
        "last_page": 1,
        "max_per_page": 50,
        "next_page": null
    }
                                
                            
number_addresses Description An array of Number Address objects. See the properties below for the structure of each object.
Type Array[Object]
Example [ ... ]
id Description The id for the address
Type Integer
Example 2
use_for_proof_of_address Description Boolean indicator to determine if the address is used for proof of address
Type Boolean
Example true
use_for_emergency_address Description Boolean indicator to determine if the address is used for emergency services registration
Type Boolean
Example false
name Description The user supplied name for the address
Type String
Example LA Office
address_line_1 Description The first line of the address
Type String
Example 1001 New Street
address_line_2 Description The second line of the address
Type String
Example Silicon Road
address_city Description The city of the address
Type String
Example Los Angeles
address_region Description The region of the address
Type String
Example LA
address_postal_code Description The postal code of the address
Type String
Example 915874
address_country Description An object describing the address country
Type Object
Example
{
    "name": "United States",
    "iso": "US"
}
num_results Description The total number of results across all pages
Type Integer
Example 2
page_results Description The number of results returned on this page
Type Integer
Example 2
paginates Description Whether the number of results exceeds the max_per_page value
Type Boolean
Example false
current_page Description The page number of the results returned
Type Integer
Example 1
last_page Description The number of the final page available
Type Integer
Example 4
max_per_page Description The maximum number of results returned per page
Type Integer
Example 50
next_page Description The next page number, or null if there are no further pages
Type Integer or null
Example 2

Back to top